Bug 1654746 - Please consider using progressbar2
Summary: Please consider using progressbar2
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libtaskotron
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fedora QA Tools SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1661676
TreeView+ depends on / blocked
 
Reported: 2018-11-29 15:13 UTC by Ankur Sinha (FranciscoD)
Modified: 2018-12-27 17:30 UTC (History)
4 users (show)

Fixed In Version: libtaskotron-0.9.4-3.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-27 17:30:33 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1218533 None NEW use new forked progressbar2? 2018-12-23 23:30:51 UTC
Red Hat Bugzilla 1648728 None POST Review Request: python-progressbar2 - A Progressbar library to provide visual progress to long running operations 2018-12-23 23:30:51 UTC

Internal Links: 1218533 1648728

Description Ankur Sinha (FranciscoD) 2018-11-29 15:13:00 UTC
python-progressbar2 is a much better maintained, more featured fork of progressbar which had gone inactive in the past. Would it please be possible to use this new one instead? That way Fedora can provide a single progressbar package instead of two that conflict (they both provide the progressbar module).

Please see: https://bugzilla.redhat.com/show_bug.cgi?id=1218533 

https://github.com/WoLpH/python-progressbar

Comment 1 František Zatloukal 2018-11-29 15:59:26 UTC
Hi,

I don't see any python-progressbar2 package in Fedora. We can't use something that's not packaged yet.

We can consider it after it's packaged in Fedora.

Comment 2 Ankur Sinha (FranciscoD) 2018-11-29 16:16:49 UTC
It has passed review, but we haven't imported it because packages such as libtaskotron rely on the older progressbar. I will get it built ASAP now that we know that you're happy to look into migrating.

Cheers.

Comment 3 Ankur Sinha (FranciscoD) 2018-12-19 19:00:43 UTC
Hi!

Just thought I'd let you know that progressbar2 is now available in rawhide. We're not building for F28/F29 just yet.

Cheers,
Ankur

Comment 4 František Zatloukal 2018-12-20 17:10:52 UTC
It looks like it's working fine with python3-progressbar2 [0], at least the test suite. Since the python3-progressbar was replaced by python3-progressbar2 [1], I am going to close this issue.

Thanks!

[0] https://apps.fedoraproject.org/koschei/build/5803228
[1] https://src.fedoraproject.org/rpms/python-progressbar/c/a519d4cfc2d12be7e4d6a2e6a0a32a698aab28f3?branch=master

Comment 5 Miro Hrončok 2018-12-22 00:09:54 UTC
the test suite works, but the thing broke!

See https://bugzilla.redhat.com/show_bug.cgi?id=1661676


Note You need to log in before you can comment on or make changes to this bug.